Zum Inhalt springen
Leadtime
Deutsch
Esc
navigateopen⌘Jpreview

Reorder testcases within an item

Updates the sort order of test cases within a library component item. Provide an array of testcase IDs in the desired order. Only library component test cases can be reordered.

POST/administration/project-components/item-details/{itemId}/testcases/sort
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
itemIdstringrequired
Component item UUID. Items are the building blocks within components (Epics, Work Packages, Todo Lists, Test Suites).
Request body
requiredapplication/json
newSortOrderstring[]required
Array of testcase IDs in desired order
Responses
200
successboolean
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X POST "https://leadtime.app/api/public/administration/project-components/item-details/3047983b-d798-4aff-8dd4-628cf1900703/testcases/sort" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "newSortOrder": [
    "550e8400-e29b-41d4-a716-446655440010",
    "550e8400-e29b-41d4-a716-446655440011",
    "550e8400-e29b-41d4-a716-446655440012"
  ]
}'
Response
{
  "success": true
}